// Utilities.cpp



unsigned long Seed;						// seed for random number generator

unsigned long OrigSeed;					// original value for random seed



/**

 * Returns the first element child that matches the given name. Includes

 * the parent in search. Remember that XML names are case-sensitive.

 *

 * @return the first element that matches the given name, NULL if not

 * found.

 */



#include <scew.h>

#include <string.h>



#ifdef __GARPWIN

#include <io.h>

#else

#include <sys/stat.h>

#endif



scew_element * scew_element_by_name_including_parent(scew_element const* oParent, XML_Char const* sName)

{

  char * sElementName;



  sElementName = (char *) scew_element_name(oParent);



  if (strcmp(sElementName, sName) == 0)

    return (scew_element *) oParent;

  else

    return scew_element_by_name(oParent, sName);



}



int getFileSize(char * strFilename)

{

#ifdef __GARPWIN



  _finddata_t fileInfo;

  _findfirst(strFilename, &fileInfo);

  return (int) fileInfo.size;



#else



  struct stat stat_p;

  stat (strFilename, &stat_p);

  return stat_p.st_size;



#endif

}

