/* begin adoption from various GRASS head files */
#define CELL_TYPE 0
#define FCELL_TYPE 1
#define DCELL_TYPE 2

#define USE_CELL  0
#define USE_DCELL 2


#ifndef TRUE
#define TRUE 1
#define FALSE 0
#endif

typedef int CELL;
typedef double DCELL;

#define DONE 1
#define ERROR -1
#define AGAIN 0

#define PROJECTION_XY  0
#define PROJECTION_UTM 1
#define PROJECTION_SP  2
#define PROJECTION_LL  3
#define PROJECTION_OTHER  99

typedef int RASTER_MAP_TYPE;

struct Cell_head
{
    int format;     	/* max numer of bytes per cell minus 1          */
    int compressed; 	/* 0 = uncompressed, 1 = compressed, -1 pre 3.0 */
    int rows;	    	/* number of rows in the data                   */
    int cols;	    	/* number of columns in the data                */
    int proj;	    	/* Projection (see #defines above)              */
    int zone;	    	/* Projection zone                              */
    double ew_res;  	/* East to West cell size                       */
    double ns_res;  	/* North to South cell size                     */
    double north;   	/* coordinates of layer                         */
    double south;
    double east;
    double west;
};

/* end adoption from various GRASS head files */

/*begin adoption from v.to.raster module*/

static int at_row;
static int cur_x, cur_y;
static char isnull;

int G_setup_plot (double t,double b,double l,double r);
int G_bresenham_line (register int x0, register int y0 );
int G_plot_polygon (double *x,double *y,int n);
int G_bresenham_line (register int x0, register int y0 ,int x1,int y1 ,int	(*point)(int,int));

/*end adoption from v.to.raster module*/

int read_input(char *vector_map,int num_pnts);
void set_gridsize(int nrows, int ncols);
int set_boundary(double xmin,double ymin,double xmax,double ymax);
double* get_boundary();
int perform_rasterization();
int write_output(char *raster_map);
int begin_rasterization (int nrows, int ncols);
int do_rasterization(int nrows,int ncols,double *x,double *y,int npnts);
void end_rasterization();

